package com.bonus.canteen.core.supply.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

@ApiModel(
   value = "DrpInquirySupplier对象",
   description = "询价供应商表"
)
public class DrpInquirySupplier {
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("询价供应商id")
   private Long inquirySupplierId;
   @ApiModelProperty("询价单号")
   private String inquiryId;
   @ApiModelProperty("报价时间")
   private LocalDateTime quoteTime;
   @ApiModelProperty("决标状态(1-已报价,2-未报价,3-已中标,4-未中标)")
   private Integer bidStatus;
   @ApiModelProperty("报价供应商id")
   private Long supplierId;
   @ApiModelProperty("报价总金额")
   private Integer quoteAmount;
   @ApiModelProperty("送货日期")
   private LocalDate arrivalTime;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getInquirySupplierId() {
      return this.inquirySupplierId;
   }

   public String getInquiryId() {
      return this.inquiryId;
   }

   public LocalDateTime getQuoteTime() {
      return this.quoteTime;
   }

   public Integer getBidStatus() {
      return this.bidStatus;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public Integer getQuoteAmount() {
      return this.quoteAmount;
   }

   public LocalDate getArrivalTime() {
      return this.arrivalTime;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setInquirySupplierId(final Long inquirySupplierId) {
      this.inquirySupplierId = inquirySupplierId;
   }

   public void setInquiryId(final String inquiryId) {
      this.inquiryId = inquiryId;
   }

   public void setQuoteTime(final LocalDateTime quoteTime) {
      this.quoteTime = quoteTime;
   }

   public void setBidStatus(final Integer bidStatus) {
      this.bidStatus = bidStatus;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setQuoteAmount(final Integer quoteAmount) {
      this.quoteAmount = quoteAmount;
   }

   public void setArrivalTime(final LocalDate arrivalTime) {
      this.arrivalTime = arrivalTime;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }


   public String toString() {
      Long var10000 = this.getId();
      return "DrpInquirySupplier(id=" + var10000 + ", inquirySupplierId=" + this.getInquirySupplierId() + ", inquiryId=" + this.getInquiryId() + ", quoteTime=" + String.valueOf(this.getQuoteTime()) + ", bidStatus=" + this.getBidStatus() + ", supplierId=" + this.getSupplierId() + ", quoteAmount=" + this.getQuoteAmount() + ", arrivalTime=" + String.valueOf(this.getArrivalTime()) + ", revision=" + this.getRevision() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ")";
   }
}
